"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const authorization_1 = require("@loopback/authorization");
const core_1 = require("@loopback/core");
const services_1 = require("./services");
class CasbinAuthorizationComponent {
    constructor() {
        this.bindings = [
            core_1.Binding.bind('casbin.enforcer.factory').to(services_1.getCasbinEnforcerByName),
            core_1.Binding.bind('authorizationProviders.casbin-provider')
                .toProvider(services_1.CasbinAuthorizationProvider)
                .tag(authorization_1.AuthorizationTags.AUTHORIZER),
        ];
    }
}
exports.CasbinAuthorizationComponent = CasbinAuthorizationComponent;
//# sourceMappingURL=casbin-authorization-component.js.map